{ config, pkgs, ... }:

{
  networking.hostName = "laptop";

  # Intel VA-API for GPU acceleration
  hardware.opengl = {
    enable = true;
    driSupport = true;
    extraPackages = with pkgs; [
      intel-media-driver
      libva-utils
    ];
  };

  boot.initrd.luks.devices = {
    root = {
      device = "/dev/sda2";
      preLVM = true;
    };
  };

  services.xserver.videoDrivers = [ "intel" ];
}
